{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.css' %}" rel="stylesheet" />


<link href="{% static 'plugins/simple-line-icons/css/simple-line-icons.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />

<style>
tr.group,
tr.group:hover {
    background-color: #ddd !important;
}
</style>
{% endblock extra_head %}
{% block content %}


<!-- begin tab-pane -->
    <div class="panel panel-inverse">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Cambios de status por nodo <span class="olt_name"></span></h4>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
        <div class="row">
            
            <!-- esto debe ser un date range calendar -->
            <div class="col col-md-4">
            <label for="advance-daterange">Filtrar por:</label>
            <div class="input-group" id="advance-daterange">
            <input type="text" name="advance-daterange" class="form-control form-control-sm" value="" placeholder="Seleccione un rango de fecha" />
            <span class="input-group-append">
                <span class="input-group-text"><i class="fa fa-calendar"></i></span>
            </span>
            </div>
            </div>
            <div class="col col-md-4">
                <label for="mikrotik">Filtrar por:</label>
                <div class="input-group" id="x">
                    <select name="mikrotik" id="mikrotik"></select>
                </div>
            </div>

            <div class="col col-md-4">
                <label for="status">Filtrar por:</label>
                <div class="input-group" id="y">
                    <select name="status" id="status"></select>
                </div>
            </div>

        </div>
        <div class="row mt-2">
            <div class="col-md-4">
                <center>
                <!-- <a href="javascript:void(0)" id="btnResetDate" onclick="return cb();" title="Reset para selector de fechas" class="btn btn-xs btn-light">
                    <i class="fa fa-redo"></i>
                </a> -->
                </center>
            </div>
            <div class="col-md-4">
                <center>
                <a href="javascript:void(0)" id="btnResetNode" title="Reset para filtros de nodo" class="btn btn-xs btn-light">
                    <i class="fa fa-redo"></i>
                </a>
                </center>
            </div>
            <div class="col-md-4">
                <center>
                <a href="javascript:void(0)" id="btnResetStatus" title="Reset para filtros de status" class="btn btn-xs btn-light">
                    <i class="fa fa-redo"></i>
                </a>
                </center>
            </div>
        </div>
        <br>
        <!-- begin table-responsive -->       
        <div class="table-responsive">
            <table class="table" style="width: 100% !important" id="table_status_gral_change">
            <thead>   
                <tr>
                <th nowrap="">Nodo</th>
                <th nowrap="">Status</th>
                <th nowrap="">Apariciones</th>
                </tr>
            </thead>
            <tbody></tbody>
            <tfoot>
                <tr>
                    <th></th>
                    <th></th>
                    <th id="apariciones"></th>
                </tr>
            </tfoot>
            </table>
        </div>
        <!-- end table-responsive -->

        </div>
        <!-- end panel-body -->
    </div>
    <!-- end tab-pane -->  

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>

<script src="{% static 'plugins/moment/moment.min.js' %}"></script>
<script src="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/daterange-obj.js' %}?no_cache=" + no_cache_random);
appendScript("{% static 'scripts/class/common_js.min.js' %}?no_cache=" + no_cache_random);
appendScript("{% static 'scripts/reports_js/status_node_change_gral_list.js' %}?no_cache=" + no_cache_random);
// appendScript("{% static 'scripts/reports_js/status_node_change_list.js' %}?no_cache=" + no_cache_random);
</script>

<script>


</script>
{% endblock extra_js %}